# Env | ONNX Runtime JavaScript API
Documentation for ONNX Runtime JavaScript API

### Hierarchy

- Env

### Indexable

[name: string]: unknown

## Index

### Properties

- debug
- logLevel
- wasm
- webgl

## Properties

### Optional debug

debug?: boolean

- Defined in env.ts:100

Indicate whether run in debug mode.

defaultvalue

  `false`

### Optional logLevel

logLevel?: "verbose" | "info" | "warning" | "error" | "fatal"

- Defined in env.ts:94

set the severity level for logging.

defaultvalue

  `'warning'`

### wasm

wasm: WebAssemblyFlags

- Defined in env.ts:105

Represent a set of flags for WebAssembly

### webgl

webgl: WebGLFlags

- Defined in env.ts:110

Represent a set of flags for WebGL

Generated using TypeDoc